

import 'package:flutter/material.dart';


import 'package:fastor_app_ui_widget/resource/template/container/ContainerTemplate.dart';



class TextFieldTemplateBase    {


  //--------------------------------------------------------------- tools

  static InputDecoration getDecorationInput(EdgeInsets padding, String? hint_text,
      Color hint_color, double fontSize) {

    return InputDecoration(

      //remove default padding and set custom
        isDense: true,
        contentPadding: padding,

        //hint text
        hintText: hint_text,

        //hint color
        hintStyle: TextStyle(color: hint_color, fontSize: fontSize),

        // underline customer color
        enabledBorder: UnderlineInputBorder(
          borderSide: BorderSide(color: hint_color, width: 1),
        ),
        focusedBorder: UnderlineInputBorder(
          borderSide: BorderSide(color: hint_color, width: 1),
        ));
  }





  static FormFieldValidator<String> getTextValidator(String error_text, FormFieldValidator<String>? validator) {

    //check found
    if ( validator != null ) {
      return validator;
    }

    //default
    return ( textValidator) {
      if ( textValidator == null || textValidator.isEmpty) {
        return error_text;
      }
      return null;
    };
  }


  static Widget getContainer(Widget child, double? width, EdgeInsets? margin, Decoration? decoration_background) {

    //fixed width
    if( width != null ){
      return ContainerTemplate.fixedWidth(child, width, margin, null, decoration_background, null );
    }

    //default
    var ct = ContainerTemplate.wrapContent( child, margin: margin,  decoration:  decoration_background  );
    return ct;
  }



}
